Name: kchm
Version: 0.6.5
Release: %mkrel 10
Summary: New chm viewer for KDE
License: GPL
URL: http://sourceforge.net/projects/kchmnew/
Group: Development/KDE and Qt
Source0: http://mesh.dl.sourceforge.net/sourceforge/kchmnew/kchm-0.6.5.tar.bz2
Source1: kchm.desktop
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-devel >= 3.2

%description
KChm is a new chm viewer for KDE. 
It consists of kio_chm, corresponding 
kpart(so you can view chm files in konqueror) 
and a small viewer on top of this.

%files 
%defattr(-,root,root)
%doc COPYING INSTALL Doxygen
%attr(0755,root,root) %{_bindir}/%{name}
%_iconsdir/*/*/*/*
%_datadir/apps/chmnew
%_datadir/apps/chmnewpart
%_datadir/apps/kchm
%_datadir/mimelnk/application/chmmime.desktop
%_datadir/services/*
%_datadir/servicetypes/*
%_libdir/kde3/*

#----------------------------------------------

%define libname %mklibname chmmix 0 

%package -n %libname
Summary: Headers files for kchm
Group: Development/KDE and Qt
Requires: %{name} = %{version}

%description -n %libname
Headers files for kchm.

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%_libdir/libchmmix.so.*

#----------------------------------------------

%define libdev %mklibname chmmix -d 

%package -n %libdev
Summary:Development files from kchm
Group: Development/KDE and Qt
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}
Provides: %{name}-devel = %{version}
Obsoletes: %{_lib}kchm0-devel
Conflicts: %{_lib}chm0-devel

%description -n %libdev
Headers files for kchm.

#----------------------------------------------

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure2_5x \
    --disable-rpath \
    --with-xinerama

%make

%install
rm -rf %buildroot
%{makeinstall_std}

# Proper service
cp -f %SOURCE1 %buildroot/%_datadir/servicetypes/kchm.desktop

%clean
rm -rf %buildroot

%files -n %libdev
%defattr(-,root,root)
%_includedir/*
%_libdir/*.so
%_libdir/*.la

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}





%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.5-10mdv2008.1
+ Revision: 172166
- fix update-menus-without-menu-file-in-%%post(|un)
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Tue Jan 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.5-9mdv2008.1
+ Revision: 146478
- rebuild with new ldap
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 30 2007 Helio Chissini de Castro <helio@mandriva.com> 0.6.5-8mdv2008.0
+ Revision: 75585
- Cleaned up the mess with wrong names

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 0.6.5-7mdv2008.0
+ Revision: 75148
- remove wrong obsoletes on libchm, bad bad KDE packagers

* Wed Aug 29 2007 Helio Chissini de Castro <helio@mandriva.com> 0.6.5-6mdv2008.0
+ Revision: 74612
- Proper library, servicetype and devel package. Would remove current beagle until recompilation


* Mon Sep 18 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-17 06:32:58 (61772)
- XDG

* Fri Aug 04 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 03:47:23 (43121)
- import kchm-0.6.5-4mdk

* Wed Dec 28 2005 Anssi Hannula <anssi@mandriva.org> 0.6.5-4mdk
- remove lib64 hack, fixes x86_64 build

* Sat Oct 15 2005 Buchan Milne <bgmilne@mandriva.org> 0.6.5-3mdk
- %%{1}mdv2007.0
- quiet setup
- fix menu (including adding mime type)

* Mon May 16 2005 <plouf@mandriva.org> 0.6.5-2mdk
- Fix silly error

* Mon May 16 2005 <plouf@mandriva.org> 0.6.5-1mdk
- First Mandriva Linux release

